#!/usr/bin/perl -w # -*- mode: perl -*-

#     GIFT, a flexible content based image retrieval system.
#     Copyright (C) 1998, 1999, 2000, 2001, 2002, CUI University of Geneva

#     This program is free software; you can redistribute it and/or modify
#     it under the terms of the GNU General Public License as published by
#     the Free Software Foundation; either version 2 of the License, or
#     (at your option) any later version.

#     This program is distributed in the hope that it will be useful,
#     but WITHOUT ANY WARRANTY; without even the implied warranty of
#     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#     GNU General Public License for more details.

#     You should have received a copy of the GNU General Public License
#     along with this program; if not, write to the Free Software
#     Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

############################################################
#
# main
#
# It would be cleanest to construct all objects from C++
# however, it is fastest for me to do things by using the
# main package.
#
# Take this as some kind of skeleton for your code.
#
package CGIFTLink;
require Exporter;

use lib '/usr/bin'; # for including CFeedbackClient
use CGIFTLink;
# add your subclass of CGIFTLink here

########################################
#
# THE FOLLOWING FUNCTIONS JUST PASS THINGS
# THROUGH TO THE CGIFTLink OBJECT CONSTRUCTED
# IN construct(). PLEAST DON'T CHANGE
#
sub processGIFTQueryCall( ; ){
  $gQueryProcessor->processGIFTQueryCall(@_);
}
sub processGIFTRandomQueryCall( ; ){
  $gQueryProcessor->processGIFTRandomQueryCall(@_);
}
sub setAlgorithm( ; ){
  $gQueryProcessor->setAlgorithm(@_);
}
sub setCollection( ; ){
  print "GQ set  $gQueryProcessor\n";
  $gQueryProcessor->setCollection(@_);
}
sub configure(){
  print "GQ conf $gQueryProcessor\n";
  $gQueryProcessor->configure(@_);
}


########################################
#
# construct
#
# This function constructs the object which
# will process our queries 
#
# CHANGE HERE TO GET YOUR TYPE CONSTRUCTED
#
sub construct(){
  $gQueryProcessor=new CGIFTLink();
}

&main::construct();
